POST api/Coach
Request Information
URI Parameters
None.
Body Parameters
SessionRequestParams| Name | Description | Type | Additional information |
|---|---|---|---|
| day | string |
None. |
|
| phone | string |
None. |
|
| name | string |
None. |
|
| shipID | globally unique identifier |
None. |
|
| coachID | globally unique identifier |
None. |
|
| ridersQty | integer |
None. |
|
| beginnersQty | integer |
None. |
|
| sessionDuration | integer |
None. |
|
| startDate | string |
None. |
|
| comment | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"day": "sample string 1",
"phone": "sample string 2",
"name": "sample string 3",
"shipID": "a715a022-51ae-4f90-abe1-a3bbf5b52843",
"coachID": "cf431113-b4b3-4ce5-92ff-d6317af37ec0",
"ridersQty": 5,
"beginnersQty": 6,
"sessionDuration": 7,
"startDate": "sample string 8",
"comment": "sample string 9"
}
application/xml, text/xml
Sample:
<SessionRequestParams xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models"> <comment>sample string 9</comment> <day>sample string 1</day> <instructorId>cf431113-b4b3-4ce5-92ff-d6317af37ec0</instructorId> <name>sample string 3</name> <phone>sample string 2</phone> <ridersQty>5</ridersQty> <shipId>a715a022-51ae-4f90-abe1-a3bbf5b52843</shipId> <startDate>sample string 8</startDate> <startupQty>6</startupQty> <totalDuration>7</totalDuration> </SessionRequestParams>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
CoachResponseJson| Name | Description | Type | Additional information |
|---|---|---|---|
| coaches | Collection of Coach |
None. |
Response Formats
application/json, text/json
Sample:
{
"coaches": [
{
"id": "c492fe9a-689b-48cb-8bf8-e418b311160f",
"name": "sample string 2"
},
{
"id": "c492fe9a-689b-48cb-8bf8-e418b311160f",
"name": "sample string 2"
}
]
}
application/xml, text/xml
Sample:
<CoachResponseJson xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models">
<coaches>
<Coach>
<id>c492fe9a-689b-48cb-8bf8-e418b311160f</id>
<name>sample string 2</name>
</Coach>
<Coach>
<id>c492fe9a-689b-48cb-8bf8-e418b311160f</id>
<name>sample string 2</name>
</Coach>
</coaches>
</CoachResponseJson>